commit:     dfdade27ce97a54dca65e8a794f307f30f043429
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun May 28 05:46:57 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun May 28 05:57:19 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dfdade27

dev-ruby/roadie: make css_parser dependency more lenient

Package-Manager: Portage-2.3.5, Repoman-2.3.1

 dev-ruby/roadie/roadie-3.2.1-r2.ebuild | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/dev-ruby/roadie/roadie-3.2.1-r2.ebuild 
b/dev-ruby/roadie/roadie-3.2.1-r2.ebuild
new file mode 100644
index 00000000000..b7f0d2a9ca4
--- /dev/null
+++ b/dev-ruby/roadie/roadie-3.2.1-r2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby21 ruby22 ruby23"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Making HTML emails comfortable for the Rails rockstars"
+HOMEPAGE="https://github.com/Mange/roadie";
+SRC_URI="https://github.com/Mange/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/nokogiri-1.5.0
+       >=dev-ruby/css_parser-1.4.5 =dev-ruby/css_parser-1.4*"
+ruby_add_bdepend "test? ( dev-ruby/rspec-collection_matchers dev-ruby/webmock 
)"
+
+all_ruby_prepare() {
+       sed -i -e "/[Bb]undler/d" Rakefile || die
+       sed -i -e 's/git ls-files/find . -type f -print/' \
+               -e '/test_files/d' \
+               -e '/css_parser/ s/~>/>=/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}

Reply via email to